﻿@model IEnumerable<ShopWebApp.Domain.Models.Good>

@{
    ViewBag.Title = "Search";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Search</h2>
@using (Ajax.BeginForm("SearchAjax", null, new AjaxOptions { UpdateTargetId = "search-results" }, new { @class = "form-inline my-2 my-lg-0" }))
{
    <input class="form-control mr-sm-2" type="search" name="q" placeholder="Search" aria-label="Search">
    <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">Search</button>
}

<div id="search-results" class="goods-list">
    @Html.Partial("_SearchResultsTable", Model)
</div>

